REST API Reference
List sessions
Retrieve a paginated list of sessions with optional filtering
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication. Use format "Bearer sk_prod_..." or "Bearer sk_test_..."
In: header
Query Parameters
limit?integer
Maximum number of sessions to return (max 100)
Default
25Range
0 <= value <= 100cursor?string
Cursor for pagination
flowId?string
Filter by flow/form ID
clientReferenceId?string
Filter by client reference ID
status?|array<>
Filter by session status(es)
fromDate?integer
Filter sessions created after this timestamp (Unix timestamp)
toDate?integer
Filter sessions created before this timestamp (Unix timestamp)
sortBy?string
Field to sort by
Default
"createdAt"Value in
"createdAt" | "status" | "finishedAt"sortOrder?string
Sort order
Default
"desc"Value in
"asc" | "desc"search?string
Search in metadata and other fields
includeTotal?boolean
Include total count (expensive operation)
Default
falseResponse Body
application/json
application/json
application/json
curl -X GET "https://api.facesign.ai/sessions"{
"sessions": [
{
"id": "string",
"createdAt": 0,
"startedAt": 0,
"finishedAt": 0,
"status": "created",
"settings": {
"clientReferenceId": "user-123",
"metadata": {
"source": "web-app",
"department": "sales"
},
"initialPhrase": "string",
"finalPhrase": "string",
"providedData": {
"property1": "string",
"property2": "string"
},
"avatarId": "string",
"langs": [
"en",
"es",
"fr"
],
"defaultLang": "en",
"zone": "es",
"modules": [
{
"type": "emailVerification",
"name": "string",
"email": "string",
"publicRecognitionEnabled": true
}
],
"flow": [
{
"id": "string",
"type": "start",
"outcome": "string"
}
]
},
"version": "string",
"report": {
"transcript": [
{
"id": "string",
"createdAt": 0,
"text": "string",
"isAvatar": true
}
],
"aiAnalysis": {
"ageMin": 0,
"ageMax": 0,
"sex": "male",
"realPersonOrVirtual": "real",
"overallSummary": "string",
"analysis": [
{
"title": "string",
"shortDescription": "string",
"longDescription": "string"
}
]
},
"location": {},
"device": {},
"livenessDetected": true,
"lang": "string",
"extractedData": {
"property1": "string",
"property2": "string"
},
"screenshots": [
"string"
],
"videos": {
"avatarVideoUrl": "string",
"userVideoUrl": "string"
},
"isVerified": true
}
}
],
"nextCursor": "string",
"totalCount": 0,
"hasMore": true
}{
"error": {
"type": "authentication_error",
"message": "Invalid API key provided"
}
}{
"error": {
"type": "rate_limit_error",
"message": "Rate limit exceeded"
}
}